URL 属性 (ActiveX)
指定 Hyperlink 对象的 URL。 支持的平台:仅限 Windows 属性值只读:不 类型:字符串 一个字符串,表示对象的 URL。Hyperlink 言论该文件可以存储在本地、网络驱动器上、Internet 或 Intranet 位置。 例子VBA: Sub Example_URL() ' This example creates a Circle object in model space and ' adds a new Hyperlink to its Hyperlink collection Dim Hyperlinks As AcadHyperlinks Dim Hyperlink As AcadHyperlink Dim circleObj As AcadCircle Dim centerPoint(0 To 2) As Double Dim radius As Double Dim HLList As String ' Define the Circle object centerPoint(0) = 0: centerPoint(1) = 0: centerPoint(2) = 0 radius = 5# ' Create the Circle object in model space Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius) ThisDrawing.Application.ZoomAll ' Get reference to the Circle's Hyperlinks collection Set Hyperlinks = circleObj.Hyperlinks ' Add a new Hyperlink complete with all properties Set Hyperlink = Hyperlinks.Add("AutoDesk") Hyperlink.URL = "www.autodesk.com" Hyperlink.URLDescription = "Autodesk Main Site" Hyperlink.URLNamedLocation = "MY_LOCATION" ' Read and display a list of existing Hyperlinks and ' their properties for this object For Each Hyperlink In Hyperlinks HLList = HLList & "____________________________________" & vbCrLf ' Separator HLList = HLList & "URL: " & Hyperlink.URL & vbCrLf HLList = HLList & "URL Description: " & Hyperlink.URLDescription & vbCrLf HLList = HLList & "URL Named Location: " & Hyperlink.URLNamedLocation & vbCrLf Next MsgBox "The circle has " & Hyperlinks.count & " Hyperlink: " & vbCrLf & HLList End Sub 可视化 LISP: (vl-load-com) (defun c:Example_URL() ;; This example creates a Circle object in model space and ;; adds a new Hyperlink to its Hyperlink collection (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the Circle object (setq centerPoint (vlax-3d-point 0 0 0) radius 5) ;; Create the Circle object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq circleObj (vla-AddCircle modelSpace centerPoint radius)) (vla-ZoomAll acadObj) ;; Get reference to the Circle's Hyperlinks collection (setq Hyperlinks (vla-get-Hyperlinks circleObj)) ;; Add a new Hyperlink complete with all properties (setq Hyperlink (vla-Add Hyperlinks "Autodesk")) (vla-put-URL Hyperlink "www.autodesk.com") (vla-put-URLDescription Hyperlink "Autodesk Main Site") (vla-put-URLNamedLocation Hyperlink "MY_LOCATION") ;; Read and display a list of existing Hyperlinks and ;; their properties for this object (setq HLList "") (vlax-for Hyperlink Hyperlinks (setq HLList (strcat HLList "____________________________________" ;; Separator "\nURL: " (vla-get-URL Hyperlink) "\nURL Description: " (vla-get-URLDescription Hyperlink) "\nURL Named Location: " (vla-get-URLNamedLocation Hyperlink))) ) (alert (strcat "The circle has " (itoa (vla-get-Count Hyperlinks)) " Hyperlink: \n" HLList)) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:23
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.